Bug 499904 - Can't print B&W when color cartridge is empty
Can't print B&W when color cartridge is empty
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 15:19 EDT by Mathieu Bridon
Modified: 2009-06-26 09:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 09:09:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2009-05-08 15:19:09 EDT
Description of problem:
My mum only prints in B&W. Hence, she only replaces the B&W cartridge when it's empty, and doesn't care if the color cartridge contains ink or not.

However, when she prints a document in any application, first page is printed, then a popup pops up saying that her cartridge is almost empty, then the print job stops.

She can then restart it from the page where it stopped, again, only one page will be printed and the mean popup appears threatening her.

So she can print, but that's definitely not convenient.

« hp-levels » reports that B&W cartridge is at approximately 93% while color cartridge is at approximately 0%.


Version-Release number of selected component (if applicable):
Not sure what is the impacted component, so here is what I thought could be relevant:
hplip-2.8.12-6.fc10.x86_64
cups-1.3.10-1.fc10.x86_64
system-config-printer-1.0.16-2.fc10.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Buy a new B&W cartridge and insert it in the printer
2. Find an empty color cartridge and insert it in the printer (alternatively, you can also use a new one until it's empty)
3. Try to print a document in B&W, even specifically setting the printer in mode « Draft Grayscale ».

Actual results:
Only one page is printed, popup appears, mom is unhappy.

Expected results:
The whole document is printed, popup might say that _color_ cartridge is empty but it's no problem for the current printing job as it's B&W, mom is happy and makes me a cake.

Please, I want a cake :)
Comment 1 Tim Waugh 2009-06-24 03:33:29 EDT
What's the printer model number?
Comment 2 Mathieu Bridon 2009-06-24 13:16:21 EDT
I can't believe I didn't include that in the initial report :-/

The printer is a HP Deskjet 6540.

Is that enough or do you need the lsusb output ?
Comment 3 Tim Waugh 2009-06-25 05:25:39 EDT
Try changing the connection of the device (i.e. the device URI) from hp://... to usb://... -- to do that, select System->Administration->Printing, double-click the printer icon, click the 'Change...' button next to the device URI and look for a '>Connection' expander button in the bottom right of the screen.  One of the options there should be for the USB device.

I'm trying to see if the problem is the HPLIP CUPS backend or whether this is some behaviour of the device.
Comment 4 Mathieu Bridon 2009-06-26 08:42:06 EDT
Unfortunately, my mum didn't keep the empty color cardridge, so she can't test it again :-/

And she can't simply remove the new one, because the printer will then refuse to print anything (the cardridges cart won't go in place if one is missing)...
Comment 5 Tim Waugh 2009-06-26 09:09:35 EDT
OK, sorry it took so long to get to this.

Please re-open if it occurs again.

Note You need to log in before you can comment on or make changes to this bug.